# TensorFlow Operations Supported by OpenVINO TensorFlow Frontend

Here is a table of operations supported by the TensorFlow Frontend from [tf.raw_ops](https://www.tensorflow.org/api_docs/python/tf/raw_ops).
A "supported operation" is one that TensorFlow Frontend can convert to the OpenVINO representation.

| Operation Name                                          | Supported                     | Limitation                    |
|---------------------------------------------------------|-------------------------------|-------------------------------|
| Abort                                                   | NO                            |                               |
| Abs                                                     | YES                           |                               |
| AccumulateNV2                                           | NO                            |                               |
| AccumulatorApplyGradient                                | NO                            |                               |
| AccumulatorNumAccumulated                               | NO                            |                               |
| AccumulatorSetGlobalStep                                | NO                            |                               |
| AccumulatorTakeGradient                                 | NO                            |                               |
| Acos                                                    | YES                           |                               |
| Acosh                                                   | YES                           |                               |
| Add                                                     | YES                           |                               |
| AddManySparseToTensorsMap                               | NO                            |                               |
| AddN                                                    | YES                           |                               |
| AddSparseToTensorsMap                                   | NO                            |                               |
| AddV2                                                   | YES                           |                               |
| AdjustContrast                                          | NO                            |                               |
| AdjustContrastv2                                        | YES                           |                               |
| AdjustHue<sup><mark style="background-color: #00FF00">NEW</mark></sup> | YES                           |                               |
| AdjustSaturation<sup><mark style="background-color: #00FF00">NEW</mark></sup> | YES                           |                               |
| All                                                     | YES                           |                               |
| AllCandidateSampler                                     | NO                            |                               |
| AllToAll                                                | NO                            |                               |
| Angle                                                   | YES                           |                               |
| AnonymousHashTable                                      | NO                            |                               |
| AnonymousIterator                                       | NO                            |                               |
| AnonymousIteratorV2                                     | NO                            |                               |
| AnonymousIteratorV3                                     | NO                            |                               |
| AnonymousMemoryCache                                    | NO                            |                               |
| AnonymousMultiDeviceIterator                            | NO                            |                               |
| AnonymousMultiDeviceIteratorV3                          | NO                            |                               |
| AnonymousMutableDenseHashTable                          | NO                            |                               |
| AnonymousMutableHashTable                               | NO                            |                               |
| AnonymousMutableHashTableOfTensors                      | NO                            |                               |
| AnonymousRandomSeedGenerator                            | NO                            |                               |
| AnonymousSeedGenerator                                  | NO                            |                               |
| Any                                                     | YES                           |                               |
| ApplyAdaMax                                             | NO                            |                               |
| ApplyAdadelta                                           | NO                            |                               |
| ApplyAdagrad                                            | NO                            |                               |
| ApplyAdagradDA                                          | NO                            |                               |
| ApplyAdagradV2                                          | NO                            |                               |
| ApplyAdam                                               | NO                            |                               |
| ApplyAddSign                                            | NO                            |                               |
| ApplyCenteredRMSProp                                    | NO                            |                               |
| ApplyFtrl                                               | NO                            |                               |
| ApplyFtrlV2                                             | NO                            |                               |
| ApplyGradientDescent                                    | NO                            |                               |
| ApplyMomentum                                           | NO                            |                               |
| ApplyPowerSign                                          | NO                            |                               |
| ApplyProximalAdagrad                                    | NO                            |                               |
| ApplyProximalGradientDescent                            | NO                            |                               |
| ApplyRMSProp                                            | NO                            |                               |
| ApproxTopK                                              | NO                            |                               |
| ApproximateEqual                                        | YES                           |                               |
| ArgMax                                                  | YES                           |                               |
| ArgMin                                                  | YES                           |                               |
| AsString                                                | NO                            |                               |
| Asin                                                    | YES                           |                               |
| Asinh                                                   | YES                           |                               |
| Assert                                                  | YES                           |                               |
| AssertCardinalityDataset                                | NO                            |                               |
| AssertNextDataset                                       | NO                            |                               |
| AssertPrevDataset                                       | NO                            |                               |
| Assign                                                  | YES                           |                               |
| AssignAdd                                               | YES                           |                               |
| AssignAddVariableOp                                     | YES                           |                               |
| AssignSub                                               | YES                           |                               |
| AssignSubVariableOp                                     | YES                           |                               |
| AssignVariableOp                                        | YES                           |                               |
| AssignVariableXlaConcatND                               | NO                            |                               |
| Atan                                                    | YES                           |                               |
| Atan2                                                   | YES                           |                               |
| Atanh                                                   | YES                           |                               |
| AudioSpectrogram                                        | NO                            |                               |
| AudioSummary                                            | NO                            |                               |
| AudioSummaryV2                                          | NO                            |                               |
| AutoShardDataset                                        | NO                            |                               |
| AvgPool                                                 | YES                           |                               |
| AvgPool3D                                               | YES                           |                               |
| AvgPool3DGrad                                           | NO                            |                               |
| AvgPoolGrad                                             | NO                            |                               |
| BandedTriangularSolve                                   | NO                            |                               |
| Barrier                                                 | NO                            |                               |
| BarrierClose                                            | NO                            |                               |
| BarrierIncompleteSize                                   | NO                            |                               |
| BarrierInsertMany                                       | NO                            |                               |
| BarrierReadySize                                        | NO                            |                               |
| BarrierTakeMany                                         | NO                            |                               |
| Batch                                                   | NO                            |                               |
| BatchCholesky                                           | NO                            |                               |
| BatchCholeskyGrad                                       | NO                            |                               |
| BatchDataset                                            | NO                            |                               |
| BatchDatasetV2                                          | NO                            |                               |
| BatchFFT                                                | NO                            |                               |
| BatchFFT2D                                              | NO                            |                               |
| BatchFFT3D                                              | NO                            |                               |
| BatchFunction                                           | NO                            |                               |
| BatchIFFT                                               | NO                            |                               |
| BatchIFFT2D                                             | NO                            |                               |
| BatchIFFT3D                                             | NO                            |                               |
| BatchMatMul                                             | YES                           |                               |
| BatchMatMulV2                                           | YES                           |                               |
| BatchMatMulV3                                           | YES                           |                               |
| BatchMatrixBandPart                                     | NO                            |                               |
| BatchMatrixDeterminant                                  | NO                            |                               |
| BatchMatrixDiag                                         | NO                            |                               |
| BatchMatrixDiagPart                                     | NO                            |                               |
| BatchMatrixInverse                                      | YES                           |                               |
| BatchMatrixSetDiag                                      | NO                            |                               |
| BatchMatrixSolve                                        | NO                            |                               |
| BatchMatrixSolveLs                                      | NO                            |                               |
| BatchMatrixTriangularSolve                              | NO                            |                               |
| BatchNormWithGlobalNormalization                        | NO                            |                               |
| BatchNormWithGlobalNormalizationGrad                    | NO                            |                               |
| BatchSelfAdjointEig                                     | NO                            |                               |
| BatchSelfAdjointEigV2                                   | NO                            |                               |
| BatchSvd                                                | NO                            |                               |
| BatchToSpace                                            | NO                            |                               |
| BatchToSpaceND                                          | YES                           |                               |
| BesselI0                                                | NO                            |                               |
| BesselI0e                                               | NO                            |                               |
| BesselI1                                                | NO                            |                               |
| BesselI1e                                               | NO                            |                               |
| BesselJ0                                                | NO                            |                               |
| BesselJ1                                                | NO                            |                               |
| BesselK0                                                | NO                            |                               |
| BesselK0e                                               | NO                            |                               |
| BesselK1                                                | NO                            |                               |
| BesselK1e                                               | NO                            |                               |
| BesselY0                                                | NO                            |                               |
| BesselY1                                                | NO                            |                               |
| Betainc                                                 | NO                            |                               |
| BiasAdd                                                 | YES                           |                               |
| BiasAddGrad                                             | NO                            |                               |
| BiasAddV1                                               | NO                            |                               |
| Bincount                                                | YES                           |                               |
| Bitcast                                                 | NO                            |                               |
| BitwiseAnd                                              | YES                           |                               |
| BitwiseOr                                               | YES                           |                               |
| BitwiseXor                                              | YES                           |                               |
| BlockLSTM                                               | YES                           |                               |
| BlockLSTMGrad                                           | NO                            |                               |
| BlockLSTMGradV2                                         | NO                            |                               |
| BlockLSTMV2                                             | NO                            |                               |
| BoostedTreesAggregateStats                              | NO                            |                               |
| BoostedTreesBucketize                                   | NO                            |                               |
| BoostedTreesCalculateBestFeatureSplit                   | NO                            |                               |
| BoostedTreesCalculateBestFeatureSplitV2                 | NO                            |                               |
| BoostedTreesCalculateBestGainsPerFeature                | NO                            |                               |
| BoostedTreesCenterBias                                  | NO                            |                               |
| BoostedTreesCreateEnsemble                              | NO                            |                               |
| BoostedTreesCreateQuantileStreamResource                | NO                            |                               |
| BoostedTreesDeserializeEnsemble                         | NO                            |                               |
| BoostedTreesEnsembleResourceHandleOp                    | NO                            |                               |
| BoostedTreesExampleDebugOutputs                         | NO                            |                               |
| BoostedTreesFlushQuantileSummaries                      | NO                            |                               |
| BoostedTreesGetEnsembleStates                           | NO                            |                               |
| BoostedTreesMakeQuantileSummaries                       | NO                            |                               |
| BoostedTreesMakeStatsSummary                            | NO                            |                               |
| BoostedTreesPredict                                     | NO                            |                               |
| BoostedTreesQuantileStreamResourceAddSummaries          | NO                            |                               |
| BoostedTreesQuantileStreamResourceDeserialize           | NO                            |                               |
| BoostedTreesQuantileStreamResourceFlush                 | NO                            |                               |
| BoostedTreesQuantileStreamResourceGetBucketBoundaries   | NO                            |                               |
| BoostedTreesQuantileStreamResourceHandleOp              | NO                            |                               |
| BoostedTreesSerializeEnsemble                           | NO                            |                               |
| BoostedTreesSparseAggregateStats                        | NO                            |                               |
| BoostedTreesSparseCalculateBestFeatureSplit             | NO                            |                               |
| BoostedTreesTrainingPredict                             | NO                            |                               |
| BoostedTreesUpdateEnsemble                              | NO                            |                               |
| BoostedTreesUpdateEnsembleV2                            | NO                            |                               |
| BroadcastArgs                                           | YES                           |                               |
| BroadcastGradientArgs                                   | NO                            |                               |
| BroadcastTo                                             | YES                           |                               |
| Bucketize                                               | YES                           |                               |
| BytesProducedStatsDataset                               | NO                            |                               |
| CSRSparseMatrixComponents                               | NO                            |                               |
| CSRSparseMatrixToDense                                  | NO                            |                               |
| CSRSparseMatrixToSparseTensor                           | NO                            |                               |
| CSVDataset                                              | NO                            |                               |
| CSVDatasetV2                                            | NO                            |                               |
| CTCBeamSearchDecoder                                    | NO                            |                               |
| CTCGreedyDecoder                                        | YES                           |                               |
| CTCLoss                                                 | YES                           |                               |
| CTCLossV2                                               | NO                            |                               |
| CacheDataset                                            | NO                            |                               |
| CacheDatasetV2                                          | NO                            |                               |
| Case                                                    | NO                            |                               |
| Cast                                                    | YES                           |                               |
| Ceil                                                    | YES                           |                               |
| CheckNumerics                                           | YES                           |                               |
| CheckNumericsV2                                         | YES                           |                               |
| Cholesky                                                | NO                            |                               |
| CholeskyGrad                                            | NO                            |                               |
| ChooseFastestBranchDataset                              | NO                            |                               |
| ChooseFastestDataset                                    | NO                            |                               |
| ClipByValue                                             | YES                           |                               |
| CloseSummaryWriter                                      | NO                            |                               |
| CollectiveAllToAllV2                                    | NO                            |                               |
| CollectiveAllToAllV3                                    | NO                            |                               |
| CollectiveAssignGroupV2                                 | NO                            |                               |
| CollectiveBcastRecv                                     | NO                            |                               |
| CollectiveBcastRecvV2                                   | NO                            |                               |
| CollectiveBcastSend                                     | NO                            |                               |
| CollectiveBcastSendV2                                   | NO                            |                               |
| CollectiveGather                                        | NO                            |                               |
| CollectiveGatherV2                                      | NO                            |                               |
| CollectiveInitializeCommunicator                        | NO                            |                               |
| CollectivePermute                                       | NO                            |                               |
| CollectiveReduce                                        | NO                            |                               |
| CollectiveReduceScatterV2                               | NO                            |                               |
| CollectiveReduceV2                                      | NO                            |                               |
| CollectiveReduceV3                                      | NO                            |                               |
| CombinedNonMaxSuppression                               | NO                            |                               |
| Complex                                                 | YES                           |                               |
| ComplexAbs                                              | YES                           |                               |
| CompositeTensorVariantFromComponents                    | NO                            |                               |
| CompositeTensorVariantToComponents                      | NO                            |                               |
| CompressElement                                         | NO                            |                               |
| ComputeAccidentalHits                                   | NO                            |                               |
| ComputeBatchSize                                        | NO                            |                               |
| Concat                                                  | YES                           |                               |
| ConcatOffset                                            | NO                            |                               |
| ConcatV2                                                | YES                           |                               |
| ConcatenateDataset                                      | NO                            |                               |
| ConditionalAccumulator                                  | NO                            |                               |
| ConfigureDistributedTPU                                 | NO                            |                               |
| ConfigureTPUEmbedding                                   | NO                            |                               |
| Conj                                                    | YES                           |                               |
| ConjugateTranspose                                      | YES                           |                               |
| Const                                                   | YES                           |                               |
| ConsumeMutexLock                                        | NO                            |                               |
| ControlTrigger                                          | NO                            |                               |
| Conv                                                    | NO                            |                               |
| Conv2D                                                  | YES                           |                               |
| Conv2DBackpropFilter                                    | NO                            |                               |
| Conv2DBackpropFilterV2                                  | NO                            |                               |
| Conv2DBackpropInput                                     | YES                           |                               |
| Conv2DBackpropInputV2                                   | NO                            |                               |
| Conv3D                                                  | YES                           |                               |
| Conv3DBackpropFilter                                    | NO                            |                               |
| Conv3DBackpropFilterV2                                  | NO                            |                               |
| Conv3DBackpropInput                                     | NO                            |                               |
| Conv3DBackpropInputV2                                   | YES                           |                               |
| Copy                                                    | NO                            |                               |
| CopyHost                                                | NO                            |                               |
| Cos                                                     | YES                           |                               |
| Cosh                                                    | YES                           |                               |
| CountUpTo                                               | NO                            |                               |
| CreateSummaryDbWriter                                   | NO                            |                               |
| CreateSummaryFileWriter                                 | NO                            |                               |
| CropAndResize                                           | YES                           |                               |
| CropAndResizeGradBoxes                                  | NO                            |                               |
| CropAndResizeGradImage                                  | NO                            |                               |
| Cross                                                   | NO                            |                               |
| CrossReplicaSum                                         | NO                            |                               |
| CudnnRNN                                                | NO                            |                               |
| CudnnRNNBackprop                                        | NO                            |                               |
| CudnnRNNBackpropV2                                      | NO                            |                               |
| CudnnRNNBackpropV3                                      | NO                            |                               |
| CudnnRNNCanonicalToParams                               | NO                            |                               |
| CudnnRNNCanonicalToParamsV2                             | NO                            |                               |
| CudnnRNNParamsSize                                      | NO                            |                               |
| CudnnRNNParamsToCanonical                               | NO                            |                               |
| CudnnRNNParamsToCanonicalV2                             | NO                            |                               |
| CudnnRNNV2                                              | NO                            |                               |
| CudnnRNNV3                                              | NO                            |                               |
| Cumprod                                                 | NO                            |                               |
| Cumsum                                                  | YES                           |                               |
| CumulativeLogsumexp                                     | NO                            |                               |
| DataFormatDimMap                                        | NO                            |                               |
| DataFormatVecPermute                                    | NO                            |                               |
| DataServiceDataset                                      | NO                            |                               |
| DataServiceDatasetV2                                    | NO                            |                               |
| DataServiceDatasetV3                                    | NO                            |                               |
| DataServiceDatasetV4                                    | NO                            |                               |
| DatasetCardinality                                      | NO                            |                               |
| DatasetFromGraph                                        | NO                            |                               |
| DatasetToGraph                                          | NO                            |                               |
| DatasetToGraphV2                                        | NO                            |                               |
| DatasetToSingleElement                                  | NO                            |                               |
| DatasetToTFRecord                                       | NO                            |                               |
| Dawsn                                                   | NO                            |                               |
| DebugGradientIdentity                                   | NO                            |                               |
| DebugGradientRefIdentity                                | NO                            |                               |
| DebugIdentity                                           | NO                            |                               |
| DebugIdentityV2                                         | NO                            |                               |
| DebugIdentityV3                                         | NO                            |                               |
| DebugNanCount                                           | NO                            |                               |
| DebugNumericSummary                                     | NO                            |                               |
| DebugNumericSummaryV2                                   | NO                            |                               |
| DecodeAndCropJpeg                                       | NO                            |                               |
| DecodeBase64                                            | NO                            |                               |
| DecodeBmp                                               | NO                            |                               |
| DecodeCSV                                               | NO                            |                               |
| DecodeCompressed                                        | NO                            |                               |
| DecodeGif                                               | NO                            |                               |
| DecodeImage                                             | NO                            |                               |
| DecodeJSONExample                                       | NO                            |                               |
| DecodeJpeg                                              | NO                            |                               |
| DecodePaddedRaw                                         | NO                            |                               |
| DecodePng                                               | NO                            |                               |
| DecodeProtoV2                                           | NO                            |                               |
| DecodeRaw                                               | NO                            |                               |
| DecodeWav                                               | NO                            |                               |
| DeepCopy                                                | NO                            |                               |
| DeleteIterator                                          | NO                            |                               |
| DeleteMemoryCache                                       | NO                            |                               |
| DeleteMultiDeviceIterator                               | NO                            |                               |
| DeleteRandomSeedGenerator                               | NO                            |                               |
| DeleteSeedGenerator                                     | NO                            |                               |
| DeleteSessionTensor                                     | NO                            |                               |
| DenseBincount                                           | NO                            |                               |
| DenseCountSparseOutput                                  | NO                            |                               |
| DenseToCSRSparseMatrix                                  | NO                            |                               |
| DenseToDenseSetOperation                                | NO                            |                               |
| DenseToSparseBatchDataset                               | NO                            |                               |
| DenseToSparseSetOperation                               | NO                            |                               |
| DepthToSpace                                            | YES                           |                               |
| DepthwiseConv2dNative                                   | YES                           |                               |
| DepthwiseConv2dNativeBackpropFilter                     | NO                            |                               |
| DepthwiseConv2dNativeBackpropInput                      | NO                            |                               |
| Dequantize                                              | NO                            |                               |
| DeserializeIterator                                     | NO                            |                               |
| DeserializeManySparse                                   | NO                            |                               |
| DeserializeSparse                                       | NO                            |                               |
| DestroyResourceOp                                       | NO                            |                               |
| DestroyTemporaryVariable                                | NO                            |                               |
| DeviceIndex                                             | NO                            |                               |
| Diag                                                    | NO                            |                               |
| DiagPart                                                | NO                            |                               |
| Digamma                                                 | NO                            |                               |
| Dilation2D                                              | NO                            |                               |
| Dilation2DBackpropFilter                                | NO                            |                               |
| Dilation2DBackpropInput                                 | NO                            |                               |
| DirectedInterleaveDataset                               | NO                            |                               |
| DisableCopyOnRead                                       | NO                            |                               |
| DistributedSave                                         | NO                            |                               |
| Div                                                     | YES                           |                               |
| DivNoNan                                                | YES                           |                               |
| DrawBoundingBoxes                                       | NO                            |                               |
| DrawBoundingBoxesV2                                     | NO                            |                               |
| DummyIterationCounter                                   | NO                            |                               |
| DummyMemoryCache                                        | NO                            |                               |
| DummySeedGenerator                                      | NO                            |                               |
| DynamicEnqueueTPUEmbeddingArbitraryTensorBatch          | NO                            |                               |
| DynamicPartition                                        | YES                           |                               |
| DynamicStitch                                           | YES                           |                               |
| EagerPyFunc                                             | NO                            |                               |
| EditDistance                                            | NO                            |                               |
| Eig                                                     | NO                            |                               |
| Einsum                                                  | YES                           |                               |
| Elu                                                     | YES                           |                               |
| EluGrad                                                 | NO                            |                               |
| Empty                                                   | NO                            |                               |
| EmptyTensorList                                         | YES                           |                               |
| EncodeBase64                                            | NO                            |                               |
| EncodeJpeg                                              | NO                            |                               |
| EncodeJpegVariableQuality                               | NO                            |                               |
| EncodePng                                               | NO                            |                               |
| EncodeProto                                             | NO                            |                               |
| EncodeWav                                               | NO                            |                               |
| EnqueueTPUEmbeddingArbitraryTensorBatch                 | NO                            |                               |
| EnqueueTPUEmbeddingIntegerBatch                         | NO                            |                               |
| EnqueueTPUEmbeddingRaggedTensorBatch                    | NO                            |                               |
| EnqueueTPUEmbeddingSparseBatch                          | NO                            |                               |
| EnqueueTPUEmbeddingSparseTensorBatch                    | NO                            |                               |
| EnsureShape                                             | YES                           |                               |
| Enter                                                   | YES                           |                               |
| Equal                                                   | YES                           |                               |
| Erf                                                     | YES                           |                               |
| Erfc                                                    | NO                            |                               |
| Erfinv                                                  | NO                            |                               |
| EuclideanNorm                                           | YES                           |                               |
| Exit                                                    | YES                           |                               |
| Exp                                                     | YES                           |                               |
| ExpandDims                                              | YES                           |                               |
| ExperimentalAssertNextDataset                           | NO                            |                               |
| ExperimentalAutoShardDataset                            | NO                            |                               |
| ExperimentalBytesProducedStatsDataset                   | NO                            |                               |
| ExperimentalCSVDataset                                  | NO                            |                               |
| ExperimentalChooseFastestDataset                        | NO                            |                               |
| ExperimentalDatasetCardinality                          | NO                            |                               |
| ExperimentalDatasetToTFRecord                           | NO                            |                               |
| ExperimentalDenseToSparseBatchDataset                   | NO                            |                               |
| ExperimentalDirectedInterleaveDataset                   | NO                            |                               |
| ExperimentalGroupByReducerDataset                       | NO                            |                               |
| ExperimentalGroupByWindowDataset                        | NO                            |                               |
| ExperimentalIgnoreErrorsDataset                         | NO                            |                               |
| ExperimentalIteratorGetDevice                           | NO                            |                               |
| ExperimentalLMDBDataset                                 | NO                            |                               |
| ExperimentalLatencyStatsDataset                         | NO                            |                               |
| ExperimentalMapAndBatchDataset                          | NO                            |                               |
| ExperimentalMapDataset                                  | NO                            |                               |
| ExperimentalMatchingFilesDataset                        | NO                            |                               |
| ExperimentalMaxIntraOpParallelismDataset                | NO                            |                               |
| ExperimentalNonSerializableDataset                      | NO                            |                               |
| ExperimentalParallelInterleaveDataset                   | NO                            |                               |
| ExperimentalParseExampleDataset                         | NO                            |                               |
| ExperimentalPrivateThreadPoolDataset                    | NO                            |                               |
| ExperimentalRandomDataset                               | NO                            |                               |
| ExperimentalRebatchDataset                              | NO                            |                               |
| ExperimentalScanDataset                                 | NO                            |                               |
| ExperimentalSetStatsAggregatorDataset                   | NO                            |                               |
| ExperimentalSleepDataset                                | NO                            |                               |
| ExperimentalSlidingWindowDataset                        | NO                            |                               |
| ExperimentalSqlDataset                                  | NO                            |                               |
| ExperimentalStatsAggregatorHandle                       | NO                            |                               |
| ExperimentalStatsAggregatorSummary                      | NO                            |                               |
| ExperimentalTakeWhileDataset                            | NO                            |                               |
| ExperimentalThreadPoolDataset                           | NO                            |                               |
| ExperimentalThreadPoolHandle                            | NO                            |                               |
| ExperimentalUnbatchDataset                              | NO                            |                               |
| ExperimentalUniqueDataset                               | NO                            |                               |
| Expint                                                  | NO                            |                               |
| Expm1                                                   | NO                            |                               |
| ExtractGlimpse                                          | NO                            |                               |
| ExtractGlimpseV2                                        | NO                            |                               |
| ExtractImagePatches                                     | YES                           |                               |
| ExtractJpegShape                                        | NO                            |                               |
| ExtractVolumePatches                                    | NO                            |                               |
| FFT                                                     | YES                           |                               |
| FFT2D                                                   | YES                           |                               |
| FFT3D                                                   | YES                           |                               |
| FIFOQueue                                               | YES                           |                               |
| FIFOQueueV2                                             | YES                           |                               |
| Fact                                                    | NO                            |                               |
| FakeParam                                               | NO                            |                               |
| FakeQuantWithMinMaxArgs                                 | YES                           |                               |
| FakeQuantWithMinMaxArgsGradient                         | NO                            |                               |
| FakeQuantWithMinMaxVars                                 | YES                           |                               |
| FakeQuantWithMinMaxVarsGradient                         | NO                            |                               |
| FakeQuantWithMinMaxVarsPerChannel                       | YES                           |                               |
| FakeQuantWithMinMaxVarsPerChannelGradient               | NO                            |                               |
| FakeQueue                                               | NO                            |                               |
| Fill                                                    | YES                           |                               |
| FilterByLastComponentDataset                            | NO                            |                               |
| FilterDataset                                           | NO                            |                               |
| FinalizeDataset                                         | NO                            |                               |
| Fingerprint                                             | NO                            |                               |
| FixedLengthRecordDataset                                | NO                            |                               |
| FixedLengthRecordDatasetV2                              | NO                            |                               |
| FixedLengthRecordReader                                 | NO                            |                               |
| FixedLengthRecordReaderV2                               | NO                            |                               |
| FixedUnigramCandidateSampler                            | NO                            |                               |
| FlatMapDataset                                          | NO                            |                               |
| Floor                                                   | YES                           |                               |
| FloorDiv                                                | YES                           |                               |
| FloorMod                                                | YES                           |                               |
| FlushSummaryWriter                                      | NO                            |                               |
| For                                                     | NO                            |                               |
| FractionalAvgPool                                       | NO                            |                               |
| FractionalAvgPoolGrad                                   | NO                            |                               |
| FractionalMaxPool                                       | NO                            |                               |
| FractionalMaxPoolGrad                                   | NO                            |                               |
| FresnelCos                                              | NO                            |                               |
| FresnelSin                                              | NO                            |                               |
| FusedBatchNorm                                          | YES                           |                               |
| FusedBatchNormGrad                                      | NO                            |                               |
| FusedBatchNormGradV2                                    | NO                            |                               |
| FusedBatchNormGradV3                                    | NO                            |                               |
| FusedBatchNormV2                                        | YES                           |                               |
| FusedBatchNormV3                                        | YES                           |                               |
| FusedPadConv2D                                          | NO                            |                               |
| FusedResizeAndPadConv2D                                 | NO                            |                               |
| GRUBlockCell                                            | YES                           |                               |
| GRUBlockCellGrad                                        | NO                            |                               |
| Gather                                                  | YES                           |                               |
| GatherNd                                                | YES                           |                               |
| GatherV2                                                | YES                           |                               |
| GenerateBoundingBoxProposals                            | NO                            |                               |
| GenerateVocabRemapping                                  | NO                            |                               |
| GeneratorDataset                                        | NO                            |                               |
| GetElementAtIndex                                       | NO                            |                               |
| GetOptions                                              | NO                            |                               |
| GetSessionHandle                                        | NO                            |                               |
| GetSessionHandleV2                                      | NO                            |                               |
| GetSessionTensor                                        | NO                            |                               |
| Greater                                                 | YES                           |                               |
| GreaterEqual                                            | YES                           |                               |
| GroupByReducerDataset                                   | NO                            |                               |
| GroupByWindowDataset                                    | NO                            |                               |
| GuaranteeConst                                          | NO                            |                               |
| HSVToRGB<sup><mark style="background-color: #00FF00">NEW</mark></sup> | YES                           |                               |
| HashTable                                               | YES                           |                               |
| HashTableV2                                             | YES                           |                               |
| HistogramFixedWidth                                     | NO                            |                               |
| HistogramSummary                                        | NO                            |                               |
| IFFT                                                    | YES                           |                               |
| IFFT2D                                                  | YES                           |                               |
| IFFT3D                                                  | YES                           |                               |
| IRFFT                                                   | YES                           |                               |
| IRFFT2D                                                 | YES                           |                               |
| IRFFT3D                                                 | YES                           |                               |
| Identity                                                | YES                           |                               |
| IdentityN                                               | YES                           |                               |
| IdentityReader                                          | NO                            |                               |
| IdentityReaderV2                                        | NO                            |                               |
| If                                                      | YES                           |                               |
| Igamma                                                  | NO                            |                               |
| IgammaGradA                                             | NO                            |                               |
| Igammac                                                 | NO                            |                               |
| IgnoreErrorsDataset                                     | NO                            |                               |
| Imag                                                    | YES                           |                               |
| ImageProjectiveTransformV2                              | NO                            |                               |
| ImageProjectiveTransformV3                              | NO                            |                               |
| ImageSummary                                            | NO                            |                               |
| ImmutableConst                                          | NO                            |                               |
| ImportEvent                                             | NO                            |                               |
| InTopK                                                  | NO                            |                               |
| InTopKV2                                                | NO                            |                               |
| InfeedDequeue                                           | NO                            |                               |
| InfeedDequeueTuple                                      | NO                            |                               |
| InfeedEnqueue                                           | NO                            |                               |
| InfeedEnqueuePrelinearizedBuffer                        | NO                            |                               |
| InfeedEnqueueTuple                                      | NO                            |                               |
| InitializeTable                                         | NO                            |                               |
| InitializeTableFromDataset                              | NO                            |                               |
| InitializeTableFromTextFile                             | NO                            |                               |
| InitializeTableFromTextFileV2                           | NO                            |                               |
| InitializeTableV2                                       | NO                            |                               |
| InplaceAdd                                              | NO                            |                               |
| InplaceSub                                              | NO                            |                               |
| InplaceUpdate                                           | NO                            |                               |
| InterleaveDataset                                       | NO                            |                               |
| Inv                                                     | YES                           |                               |
| InvGrad                                                 | NO                            |                               |
| Invert                                                  | YES                           |                               |
| InvertPermutation                                       | YES                           |                               |
| IsBoostedTreesEnsembleInitialized                       | NO                            |                               |
| IsBoostedTreesQuantileStreamResourceInitialized         | NO                            |                               |
| IsFinite                                                | YES                           |                               |
| IsInf                                                   | YES                           |                               |
| IsNan                                                   | YES                           |                               |
| IsTPUEmbeddingInitialized                               | NO                            |                               |
| IsVariableInitialized                                   | YES                           |                               |
| IsotonicRegression                                      | NO                            |                               |
| Iterator                                                | YES                           |                               |
| IteratorFromStringHandle                                | NO                            |                               |
| IteratorFromStringHandleV2                              | NO                            |                               |
| IteratorGetDevice                                       | NO                            |                               |
| IteratorGetNext                                         | YES                           |                               |
| IteratorGetNextAsOptional                               | NO                            |                               |
| IteratorGetNextSync                                     | NO                            |                               |
| IteratorToStringHandle                                  | NO                            |                               |
| IteratorV2                                              | YES                           |                               |
| L2Loss                                                  | YES                           |                               |
| LMDBDataset                                             | NO                            |                               |
| LMDBReader                                              | NO                            |                               |
| LRN                                                     | YES                           |                               |
| LRNGrad                                                 | NO                            |                               |
| LSTMBlockCell                                           | NO                            |                               |
| LSTMBlockCellGrad                                       | NO                            |                               |
| LatencyStatsDataset                                     | NO                            |                               |
| LeakyRelu                                               | YES                           |                               |
| LeakyReluGrad                                           | NO                            |                               |
| LearnedUnigramCandidateSampler                          | NO                            |                               |
| LeftShift                                               | YES                           |                               |
| LegacyParallelInterleaveDatasetV2                       | NO                            |                               |
| Less                                                    | YES                           |                               |
| LessEqual                                               | YES                           |                               |
| Lgamma                                                  | NO                            |                               |
| LinSpace                                                | YES                           |                               |
| ListDataset                                             | NO                            |                               |
| ListDiff                                                | YES                           |                               |
| LoadAndRemapMatrix                                      | NO                            |                               |
| LoadDataset                                             | NO                            |                               |
| LoadTPUEmbeddingADAMParameters                          | NO                            |                               |
| LoadTPUEmbeddingAdadeltaParameters                      | NO                            |                               |
| LoadTPUEmbeddingAdagradMomentumParameters               | NO                            |                               |
| LoadTPUEmbeddingAdagradParameters                       | NO                            |                               |
| LoadTPUEmbeddingCenteredRMSPropParameters               | NO                            |                               |
| LoadTPUEmbeddingFTRLParameters                          | NO                            |                               |
| LoadTPUEmbeddingFrequencyEstimatorParameters            | NO                            |                               |
| LoadTPUEmbeddingMDLAdagradLightParameters               | NO                            |                               |
| LoadTPUEmbeddingMomentumParameters                      | NO                            |                               |
| LoadTPUEmbeddingProximalAdagradParameters               | NO                            |                               |
| LoadTPUEmbeddingProximalYogiParameters                  | NO                            |                               |
| LoadTPUEmbeddingRMSPropParameters                       | NO                            |                               |
| LoadTPUEmbeddingStochasticGradientDescentParameters     | NO                            |                               |
| Log                                                     | YES                           |                               |
| Log1p                                                   | YES                           |                               |
| LogMatrixDeterminant                                    | NO                            |                               |
| LogSoftmax                                              | YES                           |                               |
| LogUniformCandidateSampler                              | NO                            |                               |
| LogicalAnd                                              | YES                           |                               |
| LogicalNot                                              | YES                           |                               |
| LogicalOr                                               | YES                           |                               |
| LookupTableExport                                       | NO                            |                               |
| LookupTableExportV2                                     | NO                            |                               |
| LookupTableFind                                         | YES                           |                               |
| LookupTableFindV2                                       | YES                           |                               |
| LookupTableImport                                       | YES                           |                               |
| LookupTableImportV2                                     | YES                           |                               |
| LookupTableInsert                                       | YES                           |                               |
| LookupTableInsertV2                                     | YES                           |                               |
| LookupTableRemoveV2                                     | NO                            |                               |
| LookupTableSize                                         | YES                           |                               |
| LookupTableSizeV2                                       | YES                           |                               |
| LoopCond                                                | YES                           |                               |
| LowerBound                                              | NO                            |                               |
| Lu                                                      | NO                            |                               |
| MakeIterator                                            | NO                            |                               |
| MapAndBatchDataset                                      | NO                            |                               |
| MapClear                                                | NO                            |                               |
| MapDataset                                              | NO                            |                               |
| MapDefun                                                | NO                            |                               |
| MapIncompleteSize                                       | NO                            |                               |
| MapPeek                                                 | NO                            |                               |
| MapSize                                                 | NO                            |                               |
| MapStage                                                | NO                            |                               |
| MapUnstage                                              | NO                            |                               |
| MapUnstageNoKey                                         | NO                            |                               |
| MatMul                                                  | YES                           |                               |
| MatchingFiles                                           | NO                            |                               |
| MatchingFilesDataset                                    | NO                            |                               |
| MatrixBandPart                                          | YES                            |                               |
| MatrixDeterminant                                       | NO                            |                               |
| MatrixDiag                                              | YES                           |                               |
| MatrixDiagPart                                          | NO                            |                               |
| MatrixDiagPartV2                                        | NO                            |                               |
| MatrixDiagPartV3                                        | NO                            |                               |
| MatrixDiagV2                                            | NO                            |                               |
| MatrixDiagV3                                            | NO                            |                               |
| MatrixExponential                                       | NO                            |                               |
| MatrixInverse                                           | YES                           |                               |
| MatrixLogarithm                                         | NO                            |                               |
| MatrixSetDiag                                           | NO                            |                               |
| MatrixSetDiagV2                                         | NO                            |                               |
| MatrixSetDiagV3                                         | NO                            |                               |
| MatrixSolve                                             | NO                            |                               |
| MatrixSolveLs                                           | NO                            |                               |
| MatrixSquareRoot                                        | NO                            |                               |
| MatrixTriangularSolve                                   | NO                            |                               |
| Max                                                     | YES                           |                               |
| MaxIntraOpParallelismDataset                            | NO                            |                               |
| MaxPool                                                 | YES                           |                               |
| MaxPool3D                                               | YES                           |                               |
| MaxPool3DGrad                                           | NO                            |                               |
| MaxPool3DGradGrad                                       | NO                            |                               |
| MaxPoolGrad                                             | NO                            |                               |
| MaxPoolGradGrad                                         | NO                            |                               |
| MaxPoolGradGradV2                                       | NO                            |                               |
| MaxPoolGradGradWithArgmax                               | NO                            |                               |
| MaxPoolGradV2                                           | NO                            |                               |
| MaxPoolGradWithArgmax                                   | NO                            |                               |
| MaxPoolV2                                               | YES                           |                               |
| MaxPoolWithArgmax                                       | YES                           |                               |
| Maximum                                                 | YES                           |                               |
| Mean                                                    | YES                           |                               |
| Merge                                                   | YES                           |                               |
| MergeSummary                                            | NO                            |                               |
| MergeV2Checkpoints                                      | YES                           |                               |
| Mfcc                                                    | NO                            |                               |
| Min                                                     | YES                           |                               |
| Minimum                                                 | YES                           |                               |
| MirrorPad                                               | YES                           |                               |
| MirrorPadGrad                                           | NO                            |                               |
| Mod                                                     | YES                           |                               |
| ModelDataset                                            | NO                            |                               |
| Mul                                                     | YES                           |                               |
| MulNoNan                                                | YES                           |                               |
| MultiDeviceIterator                                     | NO                            |                               |
| MultiDeviceIteratorFromStringHandle                     | NO                            |                               |
| MultiDeviceIteratorGetNextFromShard                     | NO                            |                               |
| MultiDeviceIteratorInit                                 | NO                            |                               |
| MultiDeviceIteratorToStringHandle                       | NO                            |                               |
| Multinomial                                             | YES                           |                               |
| MutableDenseHashTable                                   | NO                            |                               |
| MutableDenseHashTableV2                                 | NO                            |                               |
| MutableHashTable                                        | YES                           |                               |
| MutableHashTableOfTensors                               | NO                            |                               |
| MutableHashTableOfTensorsV2                             | NO                            |                               |
| MutableHashTableV2                                      | YES                           |                               |
| MutexLock                                               | NO                            |                               |
| MutexV2                                                 | NO                            |                               |
| NcclAllReduce                                           | NO                            |                               |
| NcclBroadcast                                           | NO                            |                               |
| NcclReduce                                              | NO                            |                               |
| Ndtri                                                   | NO                            |                               |
| Neg                                                     | YES                           |                               |
| NextAfter                                               | NO                            |                               |
| NextIteration                                           | YES                           |                               |
| NoOp                                                    | YES                           |                               |
| NonDeterministicInts                                    | NO                            |                               |
| NonMaxSuppression                                       | YES                           |                               |
| NonMaxSuppressionV2                                     | YES                           |                               |
| NonMaxSuppressionV3                                     | YES                           |                               |
| NonMaxSuppressionV4                                     | YES                           |                               |
| NonMaxSuppressionV5                                     | YES                           |                               |
| NonMaxSuppressionWithOverlaps                           | NO                            |                               |
| NonSerializableDataset                                  | NO                            |                               |
| NotEqual                                                | YES                           |                               |
| NthElement                                              | NO                            |                               |
| OneHot                                                  | YES                           |                               |
| OneShotIterator                                         | YES                           |                               |
| OnesLike                                                | YES                           |                               |
| OptimizeDataset                                         | NO                            |                               |
| OptimizeDatasetV2                                       | NO                            |                               |
| OptionalFromValue                                       | NO                            |                               |
| OptionalGetValue                                        | NO                            |                               |
| OptionalHasValue                                        | NO                            |                               |
| OptionalNone                                            | NO                            |                               |
| OptionsDataset                                          | NO                            |                               |
| OrderedMapClear                                         | NO                            |                               |
| OrderedMapIncompleteSize                                | NO                            |                               |
| OrderedMapPeek                                          | NO                            |                               |
| OrderedMapSize                                          | NO                            |                               |
| OrderedMapStage                                         | NO                            |                               |
| OrderedMapUnstage                                       | NO                            |                               |
| OrderedMapUnstageNoKey                                  | NO                            |                               |
| OutfeedDequeue                                          | NO                            |                               |
| OutfeedDequeueTuple                                     | NO                            |                               |
| OutfeedDequeueTupleV2                                   | NO                            |                               |
| OutfeedDequeueV2                                        | NO                            |                               |
| OutfeedEnqueue                                          | NO                            |                               |
| OutfeedEnqueueTuple                                     | NO                            |                               |
| Pack                                                    | YES                           |                               |
| Pad                                                     | YES                           |                               |
| PadV2                                                   | YES                           |                               |
| PaddedBatchDataset                                      | NO                            |                               |
| PaddedBatchDatasetV2                                    | NO                            |                               |
| PaddingFIFOQueue                                        | NO                            |                               |
| PaddingFIFOQueueV2                                      | NO                            |                               |
| ParallelBatchDataset                                    | NO                            |                               |
| ParallelConcat                                          | NO                            |                               |
| ParallelDynamicStitch                                   | YES                           |                               |
| ParallelFilterDataset                                   | NO                            |                               |
| ParallelInterleaveDataset                               | NO                            |                               |
| ParallelInterleaveDatasetV2                             | NO                            |                               |
| ParallelInterleaveDatasetV3                             | NO                            |                               |
| ParallelInterleaveDatasetV4                             | NO                            |                               |
| ParallelMapDataset                                      | NO                            |                               |
| ParallelMapDatasetV2                                    | NO                            |                               |
| ParameterizedTruncatedNormal                            | NO                            |                               |
| ParseExample                                            | NO                            |                               |
| ParseExampleDataset                                     | NO                            |                               |
| ParseExampleDatasetV2                                   | NO                            |                               |
| ParseExampleV2                                          | NO                            |                               |
| ParseSequenceExample                                    | NO                            |                               |
| ParseSequenceExampleV2                                  | NO                            |                               |
| ParseSingleExample                                      | NO                            |                               |
| ParseSingleSequenceExample                              | NO                            |                               |
| ParseTensor                                             | NO                            |                               |
| PartitionedCall                                         | YES                           |                               |
| Placeholder                                             | YES                           |                               |
| PlaceholderV2                                           | NO                            |                               |
| PlaceholderWithDefault                                  | YES                           |                               |
| Polygamma                                               | NO                            |                               |
| PopulationCount                                         | NO                            |                               |
| Pow                                                     | YES                           |                               |
| PrefetchDataset                                         | NO                            |                               |
| Prelinearize                                            | NO                            |                               |
| PrelinearizeTuple                                       | NO                            |                               |
| PreventGradient                                         | YES                           |                               |
| Print                                                   | NO                            |                               |
| PrintV2                                                 | NO                            |                               |
| PriorityQueue                                           | NO                            |                               |
| PriorityQueueV2                                         | NO                            |                               |
| PrivateThreadPoolDataset                                | NO                            |                               |
| Prod                                                    | YES                           |                               |
| PyFunc                                                  | NO                            |                               |
| PyFuncStateless                                         | NO                            |                               |
| Qr                                                      | NO                            |                               |
| QuantizeAndDequantize                                   | NO                            |                               |
| QuantizeAndDequantizeV2                                 | NO                            |                               |
| QuantizeAndDequantizeV3                                 | NO                            |                               |
| QuantizeAndDequantizeV4                                 | NO                            |                               |
| QuantizeAndDequantizeV4Grad                             | NO                            |                               |
| QuantizeDownAndShrinkRange                              | NO                            |                               |
| QuantizeV2                                              | NO                            |                               |
| QuantizedAdd                                            | NO                            |                               |
| QuantizedAvgPool                                        | NO                            |                               |
| QuantizedBatchNormWithGlobalNormalization               | NO                            |                               |
| QuantizedBiasAdd                                        | NO                            |                               |
| QuantizedConcat                                         | NO                            |                               |
| QuantizedConv2D                                         | NO                            |                               |
| QuantizedConv2DAndRelu                                  | NO                            |                               |
| QuantizedConv2DAndReluAndRequantize                     | NO                            |                               |
| QuantizedConv2DAndRequantize                            | NO                            |                               |
| QuantizedConv2DPerChannel                               | NO                            |                               |
| QuantizedConv2DWithBias                                 | NO                            |                               |
| QuantizedConv2DWithBiasAndRelu                          | NO                            |                               |
| QuantizedConv2DWithBiasAndReluAndRequantize             | NO                            |                               |
| QuantizedConv2DWithBiasAndRequantize                    | NO                            |                               |
| QuantizedConv2DWithBiasSignedSumAndReluAndRequantize    | NO                            |                               |
| QuantizedConv2DWithBiasSumAndRelu                       | NO                            |                               |
| QuantizedConv2DWithBiasSumAndReluAndRequantize          | NO                            |                               |
| QuantizedDepthwiseConv2D                                | NO                            |                               |
| QuantizedDepthwiseConv2DWithBias                        | NO                            |                               |
| QuantizedDepthwiseConv2DWithBiasAndRelu                 | NO                            |                               |
| QuantizedDepthwiseConv2DWithBiasAndReluAndRequantize    | NO                            |                               |
| QuantizedInstanceNorm                                   | NO                            |                               |
| QuantizedMatMul                                         | NO                            |                               |
| QuantizedMatMulWithBias                                 | NO                            |                               |
| QuantizedMatMulWithBiasAndDequantize                    | NO                            |                               |
| QuantizedMatMulWithBiasAndRelu                          | NO                            |                               |
| QuantizedMatMulWithBiasAndReluAndRequantize             | NO                            |                               |
| QuantizedMatMulWithBiasAndRequantize                    | NO                            |                               |
| QuantizedMaxPool                                        | NO                            |                               |
| QuantizedMul                                            | NO                            |                               |
| QuantizedRelu                                           | NO                            |                               |
| QuantizedRelu6                                          | NO                            |                               |
| QuantizedReluX                                          | NO                            |                               |
| QuantizedReshape                                        | NO                            |                               |
| QuantizedResizeBilinear                                 | NO                            |                               |
| QueueClose                                              | NO                            |                               |
| QueueCloseV2                                            | NO                            |                               |
| QueueDequeue                                            | YES                           |                               |
| QueueDequeueMany                                        | YES                           |                               |
| QueueDequeueManyV2                                      | NO                            |                               |
| QueueDequeueUpTo                                        | YES                           |                               |
| QueueDequeueUpToV2                                      | YES                           |                               |
| QueueDequeueV2                                          | YES                           |                               |
| QueueEnqueue                                            | NO                            |                               |
| QueueEnqueueMany                                        | NO                            |                               |
| QueueEnqueueManyV2                                      | NO                            |                               |
| QueueEnqueueV2                                          | NO                            |                               |
| QueueIsClosed                                           | NO                            |                               |
| QueueIsClosedV2                                         | NO                            |                               |
| QueueSize                                               | NO                            |                               |
| QueueSizeV2                                             | NO                            |                               |
| RFFT                                                    | YES                           |                               |
| RFFT2D                                                  | YES                           |                               |
| RFFT3D                                                  | YES                           |                               |
| RGBToHSV                                                | YES                           |                               |
| RaggedBincount                                          | NO                            |                               |
| RaggedCountSparseOutput                                 | NO                            |                               |
| RaggedCross                                             | NO                            |                               |
| RaggedFillEmptyRows                                     | NO                            |                               |
| RaggedFillEmptyRowsGrad                                 | NO                            |                               |
| RaggedGather                                            | NO                            |                               |
| RaggedRange                                             | NO                            |                               |
| RaggedTensorFromVariant                                 | NO                            |                               |
| RaggedTensorToSparse                                    | YES                           | openvino-tokenizers required  |
| RaggedTensorToTensor                                    | YES                           | openvino-tokenizers required  |
| RaggedTensorToVariant                                   | NO                            |                               |
| RaggedTensorToVariantGradient                           | NO                            |                               |
| RandomCrop                                              | NO                            |                               |
| RandomDataset                                           | NO                            |                               |
| RandomDatasetV2                                         | NO                            |                               |
| RandomGamma                                             | NO                            |                               |
| RandomGammaGrad                                         | NO                            |                               |
| RandomIndexShuffle                                      | NO                            |                               |
| RandomPoisson                                           | NO                            |                               |
| RandomPoissonV2                                         | NO                            |                               |
| RandomShuffle                                           | NO                            |                               |
| RandomShuffleQueue                                      | NO                            |                               |
| RandomShuffleQueueV2                                    | NO                            |                               |
| RandomStandardNormal                                    | NO                            |                               |
| RandomUniform                                           | YES                           |                               |
| RandomUniformInt                                        | YES                           |                               |
| Range                                                   | YES                           |                               |
| RangeDataset                                            | NO                            |                               |
| Rank                                                    | YES                           |                               |
| ReadFile                                                | NO                            |                               |
| ReadVariableOp                                          | YES                           |                               |
| ReadVariableXlaSplitND                                  | NO                            |                               |
| ReaderNumRecordsProduced                                | NO                            |                               |
| ReaderNumRecordsProducedV2                              | NO                            |                               |
| ReaderNumWorkUnitsCompleted                             | NO                            |                               |
| ReaderNumWorkUnitsCompletedV2                           | NO                            |                               |
| ReaderRead                                              | NO                            |                               |
| ReaderReadUpTo                                          | NO                            |                               |
| ReaderReadUpToV2                                        | NO                            |                               |
| ReaderReadV2                                            | NO                            |                               |
| ReaderReset                                             | NO                            |                               |
| ReaderResetV2                                           | NO                            |                               |
| ReaderRestoreState                                      | NO                            |                               |
| ReaderRestoreStateV2                                    | NO                            |                               |
| ReaderSerializeState                                    | NO                            |                               |
| ReaderSerializeStateV2                                  | NO                            |                               |
| Real                                                    | YES                           |                               |
| RealDiv                                                 | YES                           |                               |
| RebatchDataset                                          | NO                            |                               |
| RebatchDatasetV2                                        | NO                            |                               |
| Reciprocal                                              | YES                           |                               |
| ReciprocalGrad                                          | NO                            |                               |
| RecordInput                                             | NO                            |                               |
| Recv                                                    | NO                            |                               |
| RecvTPUEmbeddingActivations                             | NO                            |                               |
| ReduceDataset                                           | NO                            |                               |
| ReduceJoin                                              | NO                            |                               |
| RefEnter                                                | NO                            |                               |
| RefExit                                                 | NO                            |                               |
| RefIdentity                                             | NO                            |                               |
| RefMerge                                                | NO                            |                               |
| RefNextIteration                                        | NO                            |                               |
| RefSelect                                               | NO                            |                               |
| RefSwitch                                               | NO                            |                               |
| RegexFullMatch                                          | NO                            |                               |
| RegexReplace                                            | NO                            |                               |
| RegisterDataset                                         | NO                            |                               |
| RegisterDatasetV2                                       | NO                            |                               |
| Relu                                                    | YES                           |                               |
| Relu6                                                   | YES                           |                               |
| Relu6Grad                                               | NO                            |                               |
| ReluGrad                                                | NO                            |                               |
| RemoteCall                                              | NO                            |                               |
| RepeatDataset                                           | NO                            |                               |
| RequantizationRange                                     | NO                            |                               |
| RequantizationRangePerChannel                           | NO                            |                               |
| Requantize                                              | NO                            |                               |
| RequantizePerChannel                                    | NO                            |                               |
| Reshape                                                 | YES                           |                               |
| ResizeArea                                              | NO                            |                               |
| ResizeBicubic                                           | NO                            |                               |
| ResizeBicubicGrad                                       | NO                            |                               |
| ResizeBilinear                                          | YES                           |                               |
| ResizeBilinearGrad                                      | NO                            |                               |
| ResizeNearestNeighbor                                   | YES                           |                               |
| ResizeNearestNeighborGrad                               | NO                            |                               |
| ResourceAccumulatorApplyGradient                        | NO                            |                               |
| ResourceAccumulatorNumAccumulated                       | NO                            |                               |
| ResourceAccumulatorSetGlobalStep                        | NO                            |                               |
| ResourceAccumulatorTakeGradient                         | NO                            |                               |
| ResourceApplyAdaMax                                     | NO                            |                               |
| ResourceApplyAdadelta                                   | NO                            |                               |
| ResourceApplyAdagrad                                    | NO                            |                               |
| ResourceApplyAdagradDA                                  | NO                            |                               |
| ResourceApplyAdagradV2                                  | NO                            |                               |
| ResourceApplyAdam                                       | NO                            |                               |
| ResourceApplyAdamWithAmsgrad                            | NO                            |                               |
| ResourceApplyAddSign                                    | NO                            |                               |
| ResourceApplyCenteredRMSProp                            | NO                            |                               |
| ResourceApplyFtrl                                       | NO                            |                               |
| ResourceApplyFtrlV2                                     | NO                            |                               |
| ResourceApplyGradientDescent                            | NO                            |                               |
| ResourceApplyKerasMomentum                              | NO                            |                               |
| ResourceApplyMomentum                                   | NO                            |                               |
| ResourceApplyPowerSign                                  | NO                            |                               |
| ResourceApplyProximalAdagrad                            | NO                            |                               |
| ResourceApplyProximalGradientDescent                    | NO                            |                               |
| ResourceApplyRMSProp                                    | NO                            |                               |
| ResourceConditionalAccumulator                          | NO                            |                               |
| ResourceCountUpTo                                       | NO                            |                               |
| ResourceGather                                          | YES                           |                               |
| ResourceGatherNd                                        | NO                            |                               |
| ResourceScatterAdd                                      | NO                            |                               |
| ResourceScatterDiv                                      | NO                            |                               |
| ResourceScatterMax                                      | NO                            |                               |
| ResourceScatterMin                                      | NO                            |                               |
| ResourceScatterMul                                      | NO                            |                               |
| ResourceScatterNdAdd                                    | NO                            |                               |
| ResourceScatterNdMax                                    | NO                            |                               |
| ResourceScatterNdMin                                    | NO                            |                               |
| ResourceScatterNdSub                                    | NO                            |                               |
| ResourceScatterNdUpdate                                 | NO                            |                               |
| ResourceScatterSub                                      | NO                            |                               |
| ResourceScatterUpdate                                   | NO                            |                               |
| ResourceSparseApplyAdadelta                             | NO                            |                               |
| ResourceSparseApplyAdagrad                              | NO                            |                               |
| ResourceSparseApplyAdagradDA                            | NO                            |                               |
| ResourceSparseApplyAdagradV2                            | NO                            |                               |
| ResourceSparseApplyCenteredRMSProp                      | NO                            |                               |
| ResourceSparseApplyFtrl                                 | NO                            |                               |
| ResourceSparseApplyFtrlV2                               | NO                            |                               |
| ResourceSparseApplyKerasMomentum                        | NO                            |                               |
| ResourceSparseApplyMomentum                             | NO                            |                               |
| ResourceSparseApplyProximalAdagrad                      | NO                            |                               |
| ResourceSparseApplyProximalGradientDescent              | NO                            |                               |
| ResourceSparseApplyRMSProp                              | NO                            |                               |
| ResourceStridedSliceAssign                              | NO                            |                               |
| Restore                                                 | NO                            |                               |
| RestoreSlice                                            | NO                            |                               |
| RestoreV2                                               | YES                           |                               |
| RetrieveTPUEmbeddingADAMParameters                      | NO                            |                               |
| RetrieveTPUEmbeddingAdadeltaParameters                  | NO                            |                               |
| RetrieveTPUEmbeddingAdagradMomentumParameters           | NO                            |                               |
| RetrieveTPUEmbeddingAdagradParameters                   | NO                            |                               |
| RetrieveTPUEmbeddingCenteredRMSPropParameters           | NO                            |                               |
| RetrieveTPUEmbeddingFTRLParameters                      | NO                            |                               |
| RetrieveTPUEmbeddingFrequencyEstimatorParameters        | NO                            |                               |
| RetrieveTPUEmbeddingMDLAdagradLightParameters           | NO                            |                               |
| RetrieveTPUEmbeddingMomentumParameters                  | NO                            |                               |
| RetrieveTPUEmbeddingProximalAdagradParameters           | NO                            |                               |
| RetrieveTPUEmbeddingProximalYogiParameters              | NO                            |                               |
| RetrieveTPUEmbeddingRMSPropParameters                   | NO                            |                               |
| RetrieveTPUEmbeddingStochasticGradientDescentParameters | NO                            |                               |
| Reverse                                                 | YES                           |                               |
| ReverseSequence                                         | YES                           |                               |
| ReverseV2                                               | YES                           |                               |
| RewriteDataset                                          | NO                            |                               |
| RightShift                                              | YES                           |                               |
| Rint                                                    | YES                           |                               |
| RngReadAndSkip                                          | NO                            |                               |
| RngSkip                                                 | NO                            |                               |
| Roll                                                    | YES                           |                               |
| Round                                                   | YES                           |                               |
| Rsqrt                                                   | YES                           |                               |
| RsqrtGrad                                               | NO                            |                               |
| SampleDistortedBoundingBox                              | NO                            |                               |
| SampleDistortedBoundingBoxV2                            | NO                            |                               |
| SamplingDataset                                         | NO                            |                               |
| Save                                                    | NO                            |                               |
| SaveDataset                                             | NO                            |                               |
| SaveDatasetV2                                           | NO                            |                               |
| SaveSlices                                              | NO                            |                               |
| SaveV2                                                  | YES                           |                               |
| ScalarSummary                                           | NO                            |                               |
| ScaleAndTranslate                                       | NO                            |                               |
| ScaleAndTranslateGrad                                   | NO                            |                               |
| ScanDataset                                             | NO                            |                               |
| ScatterAdd                                              | NO                            |                               |
| ScatterDiv                                              | NO                            |                               |
| ScatterMax                                              | NO                            |                               |
| ScatterMin                                              | NO                            |                               |
| ScatterMul                                              | NO                            |                               |
| ScatterNd                                               | YES                           |                               |
| ScatterNdAdd                                            | NO                            |                               |
| ScatterNdMax                                            | NO                            |                               |
| ScatterNdMin                                            | NO                            |                               |
| ScatterNdNonAliasingAdd                                 | NO                            |                               |
| ScatterNdSub                                            | NO                            |                               |
| ScatterNdUpdate                                         | NO                            |                               |
| ScatterSub                                              | NO                            |                               |
| ScatterUpdate                                           | NO                            |                               |
| SdcaFprint                                              | NO                            |                               |
| SdcaOptimizer                                           | NO                            |                               |
| SdcaOptimizerV2                                         | NO                            |                               |
| SdcaShrinkL1                                            | NO                            |                               |
| SegmentMax                                              | NO                            |                               |
| SegmentMaxV2                                            | NO                            |                               |
| SegmentMean                                             | NO                            |                               |
| SegmentMin                                              | NO                            |                               |
| SegmentMinV2                                            | NO                            |                               |
| SegmentProd                                             | NO                            |                               |
| SegmentProdV2                                           | NO                            |                               |
| SegmentSum                                              | YES                           |                               |
| SegmentSumV2                                            | NO                            |                               |
| Select                                                  | YES                           |                               |
| SelectV2                                                | YES                           |                               |
| SelfAdjointEig                                          | NO                            |                               |
| SelfAdjointEigV2                                        | NO                            |                               |
| Selu                                                    | YES                           |                               |
| SeluGrad                                                | NO                            |                               |
| Send                                                    | NO                            |                               |
| SendTPUEmbeddingGradients                               | NO                            |                               |
| SerializeIterator                                       | NO                            |                               |
| SerializeManySparse                                     | NO                            |                               |
| SerializeSparse                                         | NO                            |                               |
| SerializeTensor                                         | NO                            |                               |
| SetSize                                                 | NO                            |                               |
| SetStatsAggregatorDataset                               | NO                            |                               |
| Shape                                                   | YES                           |                               |
| ShapeN                                                  | YES                           |                               |
| ShardDataset                                            | NO                            |                               |
| ShardedFilename                                         | YES                           |                               |
| ShardedFilespec                                         | NO                            |                               |
| ShuffleAndRepeatDataset                                 | NO                            |                               |
| ShuffleAndRepeatDatasetV2                               | NO                            |                               |
| ShuffleDataset                                          | NO                            |                               |
| ShuffleDatasetV2                                        | NO                            |                               |
| ShuffleDatasetV3                                        | NO                            |                               |
| ShutdownDistributedTPU                                  | NO                            |                               |
| Sigmoid                                                 | YES                           |                               |
| SigmoidGrad                                             | NO                            |                               |
| Sign                                                    | YES                           |                               |
| Sin                                                     | YES                           |                               |
| Sinh                                                    | YES                           |                               |
| Size                                                    | YES                           |                               |
| SkipDataset                                             | NO                            |                               |
| SleepDataset                                            | NO                            |                               |
| Slice                                                   | YES                           |                               |
| SlidingWindowDataset                                    | NO                            |                               |
| Snapshot                                                | YES                           |                               |
| SnapshotChunkDataset                                    | NO                            |                               |
| SnapshotDataset                                         | NO                            |                               |
| SnapshotDatasetReader                                   | NO                            |                               |
| SnapshotDatasetV2                                       | NO                            |                               |
| SnapshotNestedDatasetReader                             | NO                            |                               |
| SobolSample                                             | NO                            |                               |
| Softmax                                                 | YES                           |                               |
| SoftmaxCrossEntropyWithLogits                           | NO                            |                               |
| Softplus                                                | YES                           |                               |
| SoftplusGrad                                            | NO                            |                               |
| Softsign                                                | YES                           |                               |
| SoftsignGrad                                            | NO                            |                               |
| SpaceToBatch                                            | NO                            |                               |
| SpaceToBatchND                                          | YES                           |                               |
| SpaceToDepth                                            | YES                           |                               |
| SparseAccumulatorApplyGradient                          | NO                            |                               |
| SparseAccumulatorTakeGradient                           | NO                            |                               |
| SparseAdd                                               | NO                            |                               |
| SparseAddGrad                                           | NO                            |                               |
| SparseApplyAdadelta                                     | NO                            |                               |
| SparseApplyAdagrad                                      | NO                            |                               |
| SparseApplyAdagradDA                                    | NO                            |                               |
| SparseApplyAdagradV2                                    | NO                            |                               |
| SparseApplyCenteredRMSProp                              | NO                            |                               |
| SparseApplyFtrl                                         | NO                            |                               |
| SparseApplyFtrlV2                                       | NO                            |                               |
| SparseApplyMomentum                                     | NO                            |                               |
| SparseApplyProximalAdagrad                              | NO                            |                               |
| SparseApplyProximalGradientDescent                      | NO                            |                               |
| SparseApplyRMSProp                                      | NO                            |                               |
| SparseBincount                                          | NO                            |                               |
| SparseConcat                                            | NO                            |                               |
| SparseConditionalAccumulator                            | NO                            |                               |
| SparseCountSparseOutput                                 | NO                            |                               |
| SparseCross                                             | NO                            |                               |
| SparseCrossHashed                                       | NO                            |                               |
| SparseCrossV2                                           | NO                            |                               |
| SparseDenseCwiseAdd                                     | NO                            |                               |
| SparseDenseCwiseDiv                                     | NO                            |                               |
| SparseDenseCwiseMul                                     | NO                            |                               |
| SparseFillEmptyRows                                     | YES                           |                               |
| SparseFillEmptyRowsGrad                                 | NO                            |                               |
| SparseMatMul                                            | NO                            |                               |
| SparseMatrixAdd                                         | NO                            |                               |
| SparseMatrixMatMul                                      | NO                            |                               |
| SparseMatrixMul                                         | NO                            |                               |
| SparseMatrixNNZ                                         | NO                            |                               |
| SparseMatrixOrderingAMD                                 | NO                            |                               |
| SparseMatrixSoftmax                                     | NO                            |                               |
| SparseMatrixSoftmaxGrad                                 | NO                            |                               |
| SparseMatrixSparseCholesky                              | NO                            |                               |
| SparseMatrixSparseMatMul                                | NO                            |                               |
| SparseMatrixTranspose                                   | NO                            |                               |
| SparseMatrixZeros                                       | NO                            |                               |
| SparseReduceMax                                         | NO                            |                               |
| SparseReduceMaxSparse                                   | NO                            |                               |
| SparseReduceSum                                         | NO                            |                               |
| SparseReduceSumSparse                                   | NO                            |                               |
| SparseReorder                                           | NO                            |                               |
| SparseReshape                                           | YES                           |                               |
| SparseSegmentMean                                       | NO                            |                               |
| SparseSegmentMeanGrad                                   | NO                            |                               |
| SparseSegmentMeanGradV2                                 | NO                            |                               |
| SparseSegmentMeanWithNumSegments                        | NO                            |                               |
| SparseSegmentSqrtN                                      | NO                            |                               |
| SparseSegmentSqrtNGrad                                  | NO                            |                               |
| SparseSegmentSqrtNGradV2                                | NO                            |                               |
| SparseSegmentSqrtNWithNumSegments                       | NO                            |                               |
| SparseSegmentSum                                        | YES                           |                               |
| SparseSegmentSumGrad                                    | NO                            |                               |
| SparseSegmentSumGradV2                                  | NO                            |                               |
| SparseSegmentSumWithNumSegments                         | NO                            |                               |
| SparseSlice                                             | NO                            |                               |
| SparseSliceGrad                                         | NO                            |                               |
| SparseSoftmax                                           | NO                            |                               |
| SparseSoftmaxCrossEntropyWithLogits                     | NO                            |                               |
| SparseSparseMaximum                                     | NO                            |                               |
| SparseSparseMinimum                                     | NO                            |                               |
| SparseSplit                                             | NO                            |                               |
| SparseTensorDenseAdd                                    | YES                           |                               |
| SparseTensorDenseMatMul                                 | YES                           |                               |
| SparseTensorSliceDataset                                | NO                            |                               |
| SparseTensorToCSRSparseMatrix                           | NO                            |                               |
| SparseToDense                                           | YES                           |                               |
| SparseToSparseSetOperation                              | NO                            |                               |
| Spence                                                  | NO                            |                               |
| Split                                                   | YES                           |                               |
| SplitV                                                  | YES                           |                               |
| SqlDataset                                              | NO                            |                               |
| Sqrt                                                    | YES                           |                               |
| SqrtGrad                                                | NO                            |                               |
| Square                                                  | YES                           |                               |
| SquaredDifference                                       | YES                           |                               |
| Squeeze                                                 | YES                           |                               |
| Stack                                                   | NO                            |                               |
| StackClose                                              | NO                            |                               |
| StackCloseV2                                            | NO                            |                               |
| StackPop                                                | NO                            |                               |
| StackPopV2                                              | NO                            |                               |
| StackPush                                               | NO                            |                               |
| StackPushV2                                             | NO                            |                               |
| StackV2                                                 | NO                            |                               |
| Stage                                                   | NO                            |                               |
| StageClear                                              | NO                            |                               |
| StagePeek                                               | NO                            |                               |
| StageSize                                               | NO                            |                               |
| StatefulPartitionedCall                                 | YES                           |                               |
| StatefulRandomBinomial                                  | NO                            |                               |
| StatefulStandardNormal                                  | NO                            |                               |
| StatefulStandardNormalV2                                | NO                            |                               |
| StatefulTruncatedNormal                                 | NO                            |                               |
| StatefulUniform                                         | NO                            |                               |
| StatefulUniformFullInt                                  | NO                            |                               |
| StatefulUniformInt                                      | NO                            |                               |
| StatelessCase                                           | NO                            |                               |
| StatelessIf                                             | YES                           |                               |
| StatelessMultinomial                                    | NO                            |                               |
| StatelessParameterizedTruncatedNormal                   | NO                            |                               |
| StatelessRandomBinomial                                 | NO                            |                               |
| StatelessRandomGammaV2                                  | NO                            |                               |
| StatelessRandomGammaV3                                  | NO                            |                               |
| StatelessRandomGetAlg                                   | NO                            |                               |
| StatelessRandomGetKeyCounter                            | NO                            |                               |
| StatelessRandomGetKeyCounterAlg                         | NO                            |                               |
| StatelessRandomNormal                                   | NO                            |                               |
| StatelessRandomNormalV2                                 | NO                            |                               |
| StatelessRandomPoisson                                  | NO                            |                               |
| StatelessRandomUniform                                  | NO                            |                               |
| StatelessRandomUniformFullInt                           | NO                            |                               |
| StatelessRandomUniformFullIntV2                         | NO                            |                               |
| StatelessRandomUniformInt                               | NO                            |                               |
| StatelessRandomUniformIntV2                             | NO                            |                               |
| StatelessRandomUniformV2                                | NO                            |                               |
| StatelessSampleDistortedBoundingBox                     | NO                            |                               |
| StatelessShuffle                                        | NO                            |                               |
| StatelessTruncatedNormal                                | NO                            |                               |
| StatelessTruncatedNormalV2                              | NO                            |                               |
| StatelessWhile                                          | YES                           |                               |
| StaticRegexFullMatch                                    | YES                           |                               |
| StaticRegexReplace                                      | YES                           | openvino-tokenizers required  |
| StatsAggregatorHandle                                   | NO                            |                               |
| StatsAggregatorHandleV2                                 | NO                            |                               |
| StatsAggregatorSetSummaryWriter                         | NO                            |                               |
| StatsAggregatorSummary                                  | NO                            |                               |
| StopGradient                                            | YES                           |                               |
| StridedSlice                                            | YES                           |                               |
| StridedSliceAssign                                      | NO                            |                               |
| StridedSliceGrad                                        | NO                            |                               |
| StringFormat                                            | NO                            |                               |
| StringJoin                                              | YES                           |                               |
| StringLength                                            | NO                            |                               |
| StringLower                                             | YES                           | openvino-tokenizers required  |
| StringNGrams                                            | NO                            |                               |
| StringSplit                                             | NO                            |                               |
| StringSplitV2                                           | YES                           | openvino-tokenizers required  |
| StringStrip                                             | NO                            |                               |
| StringToHashBucket                                      | NO                            |                               |
| StringToHashBucketFast                                  | YES                           | openvino-tokenizers required  |
| StringToHashBucketStrong                                | NO                            |                               |
| StringToNumber                                          | NO                            |                               |
| StringUpper                                             | NO                            |                               |
| Sub                                                     | YES                           |                               |
| Substr                                                  | NO                            |                               |
| Sum                                                     | YES                           |                               |
| SummaryWriter                                           | NO                            |                               |
| Svd                                                     | NO                            |                               |
| Switch                                                  | YES                           |                               |
| SymbolicGradient                                        | NO                            |                               |
| SyncDevice                                              | NO                            |                               |
| TFRecordDataset                                         | NO                            |                               |
| TFRecordDatasetV2                                       | NO                            |                               |
| TFRecordReader                                          | NO                            |                               |
| TFRecordReaderV2                                        | NO                            |                               |
| TPUCompilationResult                                    | NO                            |                               |
| TPUEmbeddingActivations                                 | NO                            |                               |
| TPUOrdinalSelector                                      | NO                            |                               |
| TPUPartitionedCall                                      | NO                            |                               |
| TPUPartitionedInput                                     | NO                            |                               |
| TPUPartitionedInputV2                                   | NO                            |                               |
| TPUPartitionedOutput                                    | NO                            |                               |
| TPUPartitionedOutputV2                                  | NO                            |                               |
| TPUReplicateMetadata                                    | NO                            |                               |
| TPUReplicatedInput                                      | NO                            |                               |
| TPUReplicatedOutput                                     | NO                            |                               |
| TakeDataset                                             | NO                            |                               |
| TakeManySparseFromTensorsMap                            | NO                            |                               |
| TakeWhileDataset                                        | NO                            |                               |
| Tan                                                     | YES                           |                               |
| Tanh                                                    | YES                           |                               |
| TanhGrad                                                | NO                            |                               |
| TemporaryVariable                                       | NO                            |                               |
| TensorArray                                             | NO                            |                               |
| TensorArrayClose                                        | NO                            |                               |
| TensorArrayCloseV2                                      | NO                            |                               |
| TensorArrayCloseV3                                      | YES                           |                               |
| TensorArrayConcat                                       | NO                            |                               |
| TensorArrayConcatV2                                     | NO                            |                               |
| TensorArrayConcatV3                                     | YES                           |                               |
| TensorArrayGather                                       | NO                            |                               |
| TensorArrayGatherV2                                     | NO                            |                               |
| TensorArrayGatherV3                                     | YES                           |                               |
| TensorArrayGrad                                         | NO                            |                               |
| TensorArrayGradV2                                       | NO                            |                               |
| TensorArrayGradV3                                       | NO                            |                               |
| TensorArrayGradWithShape                                | NO                            |                               |
| TensorArrayPack                                         | NO                            |                               |
| TensorArrayRead                                         | NO                            |                               |
| TensorArrayReadV2                                       | NO                            |                               |
| TensorArrayReadV3                                       | YES                           |                               |
| TensorArrayScatter                                      | NO                            |                               |
| TensorArrayScatterV2                                    | NO                            |                               |
| TensorArrayScatterV3                                    | YES                           |                               |
| TensorArraySize                                         | NO                            |                               |
| TensorArraySizeV2                                       | NO                            |                               |
| TensorArraySizeV3                                       | YES                           |                               |
| TensorArraySplit                                        | NO                            |                               |
| TensorArraySplitV2                                      | NO                            |                               |
| TensorArraySplitV3                                      | NO                            |                               |
| TensorArrayUnpack                                       | NO                            |                               |
| TensorArrayV2                                           | NO                            |                               |
| TensorArrayV3                                           | YES                           |                               |
| TensorArrayWrite                                        | NO                            |                               |
| TensorArrayWriteV2                                      | NO                            |                               |
| TensorArrayWriteV3                                      | YES                           |                               |
| TensorDataset                                           | NO                            |                               |
| TensorListConcat                                        | NO                            |                               |
| TensorListConcatLists                                   | NO                            |                               |
| TensorListConcatV2                                      | YES                           |                               |
| TensorListElementShape                                  | NO                            |                               |
| TensorListFromTensor                                    | YES                           |                               |
| TensorListGather                                        | NO                            |                               |
| TensorListGetItem                                       | YES                           |                               |
| TensorListLength                                        | YES                           |                               |
| TensorListPopBack                                       | NO                            |                               |
| TensorListPushBack                                      | YES                           |                               |
| TensorListPushBackBatch                                 | NO                            |                               |
| TensorListReserve                                       | YES                           |                               |
| TensorListResize                                        | YES                           |                               |
| TensorListScatter                                       | NO                            |                               |
| TensorListScatterIntoExistingList                       | NO                            |                               |
| TensorListScatterV2                                     | NO                            |                               |
| TensorListSetItem                                       | YES                           |                               |
| TensorListSplit                                         | NO                            |                               |
| TensorListStack                                         | YES                           |                               |
| TensorScatterAdd                                        | NO                            |                               |
| TensorScatterMax                                        | NO                            |                               |
| TensorScatterMin                                        | NO                            |                               |
| TensorScatterSub                                        | NO                            |                               |
| TensorScatterUpdate                                     | YES                           |                               |
| TensorSliceDataset                                      | NO                            |                               |
| TensorStridedSliceUpdate                                | NO                            |                               |
| TensorSummary                                           | NO                            |                               |
| TensorSummaryV2                                         | NO                            |                               |
| TextLineDataset                                         | NO                            |                               |
| TextLineReader                                          | NO                            |                               |
| TextLineReaderV2                                        | NO                            |                               |
| ThreadPoolDataset                                       | NO                            |                               |
| ThreadPoolHandle                                        | NO                            |                               |
| ThreadUnsafeUnigramCandidateSampler                     | NO                            |                               |
| Tile                                                    | YES                           |                               |
| TileGrad                                                | NO                            |                               |
| Timestamp                                               | NO                            |                               |
| ToBool                                                  | YES                           |                               |
| TopK                                                    | YES                           |                               |
| TopKV2                                                  | YES                           |                               |
| Transpose                                               | YES                           |                               |
| TridiagonalMatMul                                       | NO                            |                               |
| TridiagonalSolve                                        | NO                            |                               |
| TruncateDiv                                             | YES                           |                               |
| TruncateMod                                             | YES                           |                               |
| TruncatedNormal                                         | NO                            |                               |
| Unbatch                                                 | NO                            |                               |
| UnbatchDataset                                          | NO                            |                               |
| UnbatchGrad                                             | NO                            |                               |
| UncompressElement                                       | NO                            |                               |
| UnicodeDecode                                           | NO                            |                               |
| UnicodeDecodeWithOffsets                                | NO                            |                               |
| UnicodeEncode                                           | NO                            |                               |
| UnicodeScript                                           | NO                            |                               |
| UnicodeTranscode                                        | NO                            |                               |
| UniformCandidateSampler                                 | NO                            |                               |
| UniformDequantize                                       | NO                            |                               |
| UniformQuantize                                         | NO                            |                               |
| UniformQuantizedAdd                                     | NO                            |                               |
| UniformQuantizedClipByValue                             | NO                            |                               |
| UniformQuantizedConvolution                             | NO                            |                               |
| UniformQuantizedConvolutionHybrid                       | NO                            |                               |
| UniformQuantizedDot                                     | NO                            |                               |
| UniformQuantizedDotHybrid                               | NO                            |                               |
| UniformRequantize                                       | NO                            |                               |
| Unique                                                  | YES                           |                               |
| UniqueDataset                                           | NO                            |                               |
| UniqueV2                                                | NO                            |                               |
| UniqueWithCounts                                        | YES                           |                               |
| UniqueWithCountsV2                                      | NO                            |                               |
| Unpack                                                  | YES                           |                               |
| UnravelIndex                                            | YES                           |                               |
| UnsortedSegmentJoin                                     | NO                            |                               |
| UnsortedSegmentMax                                      | NO                            |                               |
| UnsortedSegmentMin                                      | NO                            |                               |
| UnsortedSegmentProd                                     | NO                            |                               |
| UnsortedSegmentSum                                      | YES                           |                               |
| Unstage                                                 | NO                            |                               |
| UnwrapDatasetVariant                                    | NO                            |                               |
| UpperBound                                              | NO                            |                               |
| VarHandleOp                                             | YES                           |                               |
| VarIsInitializedOp                                      | YES                           |                               |
| Variable                                                | YES                           |                               |
| VariableShape                                           | NO                            |                               |
| VariableV2                                              | YES                           |                               |
| Where                                                   | YES                           |                               |
| While                                                   | YES                           |                               |
| WholeFileReader                                         | NO                            |                               |
| WholeFileReaderV2                                       | NO                            |                               |
| WindowDataset                                           | NO                            |                               |
| WindowOp                                                | NO                            |                               |
| WorkerHeartbeat                                         | NO                            |                               |
| WrapDatasetVariant                                      | NO                            |                               |
| WriteAudioSummary                                       | NO                            |                               |
| WriteFile                                               | NO                            |                               |
| WriteGraphSummary                                       | NO                            |                               |
| WriteHistogramSummary                                   | NO                            |                               |
| WriteImageSummary                                       | NO                            |                               |
| WriteRawProtoSummary                                    | NO                            |                               |
| WriteScalarSummary                                      | NO                            |                               |
| WriteSummary                                            | NO                            |                               |
| Xdivy                                                   | YES                           |                               |
| XlaConcatND                                             | NO                            |                               |
| XlaSplitND                                              | NO                            |                               |
| Xlog1py                                                 | YES                           |                               |
| Xlogy                                                   | YES                           |                               |
| ZerosLike                                               | YES                           |                               |
| Zeta                                                    | NO                            |                               |
| ZipDataset                                              | NO                            |                               |
